#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEF,0x1F,0x09,0xE3,0x71,0x27,0x2F,0x11,0xF2,0xB6,0xE0,0x16,
		0xBC,0x31,0xF5,0x2D,0xEF,0xC1,0xFC,0x13,0x27,0xC2,0x4A,0x71,
		0x8A,0x4A,0x9D,0xA9,0xCA,0xAA,0xD8,0x5B,0x04,0x0E,0x91,0x6B,
		0xFE,0x6C,0x25,0x56,0x07,0x88,0x6F,0xE2,0x17,0x2C,0x5A,0x05,
		0x57,0xD9,0x0C,0xEA,0x2D,0x7B,0x92,0xD8,0x61,0xAA,0x80,0x1C,
		0x79,0xFA,0x6D,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
